Bug 146090 - i386 and x86_64 rpms on opteron system
Summary: i386 and x86_64 rpms on opteron system
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: samba (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Simo Sorce
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-01-25 10:44 UTC by blossom
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 19:08:52 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description blossom 2005-01-25 10:44:49 UTC
Can i386 and x86_64 rpm co-exist and work cleanly?
Is it valid to have 64 bit application/executable calling 32 bit
 libraries.?
  Consider following scenarios,
 a) If x86_64 is installed after i386 then
         rpm -e samba.xyz.x86_64 is command executed first then rpm 
utility
 removes only lib64 dir.and as i386 rpm is installed earlier, it will 
not
 have 32 bit programs.
 b) If i386 is installed after x86_64 then
         rpm -e samba.xyz.i386 is command executed first then rpm 
utility
 removes only lib dir and as x86_64 rpm is installed earlier, it will 
not
 have 64 bit programs instead it will have 64 bit library and 32 bit
 _overwritten_ programs. 32 bit programs _never_ call 64 bit library 
(Hence
 is a bug)

Regards
Girish

Comment 1 RHEL Product and Program Management 2007-10-19 19:08:52 UTC
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.


Note You need to log in before you can comment on or make changes to this bug.